Silverlight 5,ria服務與實體框架6.0 alpha 3

entity-framework-6 silverlight-5.0 wcf-ria-services

我正在嘗試使用ria服務創建一個silverlight 5.0應用程序,使用entityframework 6.0 alpha 3.這是一個綠地項目,從未使用任何其他版本的entityframework。除了連接到Web項目以生成代理的silverlight數據項目之外,所有內容似乎都可以正常編譯。我收到以下錯誤:

錯誤2找不到方法:'System.Data.Objects.ObjectContext System.Data.Entity.Infrastructure.IObjectContextAdapter.get_ObjectContext()'

有不兼容性還是我做錯了什麼?

一般承認的答案

RIA Services 現在是OpenSource ,名稱為“Open RIA Services”(參見CodePlex )。

項目負責人Colin Blair剛剛宣布了第一個支持EF6的版本: http//www.openriaservices.net/blog/post/The-Open-RIA-Services-Blog/1016/4-3-Alpha-NuGet -Packages-發布/

您可以安裝Nuget包: RIA Services for Entity Framework 6+

如果要安裝Nuget軟件包RIA Services for Entity Framework 6+ ,請務必在頂部組合框中選擇“include prerelease”項。


熱門答案

WCF RIA Services的最新支持版本是Entity Framework 5 。所以我不希望這適用於EF 6.0。




許可下: CC-BY-SA with attribution
不隸屬於 Stack Overflow
這個KB合法嗎? 是的,了解原因
許可下: CC-BY-SA with attribution
不隸屬於 Stack Overflow
這個KB合法嗎? 是的,了解原因